Package org.apache.tapestry5.internal

## Class ThrowawayClassLoader

- java.lang.Object
- - java.lang.ClassLoader
  - - org.apache.tapestry5.internal.ThrowawayClassLoader

-     public class ThrowawayClassLoader
      extends java.lang.ClassLoader

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ThrowawayClassLoader​(java.lang.ClassLoader parent)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static java.lang.Class<?>` | `load​(java.lang.String className)` |
    `protected java.lang.Class<?>` | `loadClass​(java.lang.String name, boolean resolve)` |
    `static void` | `main​(java.lang.String[] args)` |

    - ### Methods inherited from class java.lang.ClassLoader

      `clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findClass, findClass, findLibrary, findLoadedClass, findResource, findResource, findResources, findSystemClass, getClassLoadingLock, getDefinedPackage, getDefinedPackages, getName, getPackage, getPackages, getParent, getPlatformClassLoader, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, getUnnamedModule, isRegisteredAsParallelCapable, loadClass, registerAsParallelCapable, resolveClass, resources, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ThrowawayClassLoader

          public ThrowawayClassLoader​(java.lang.ClassLoader parent)

  - ### Method Detail

    - #### loadClass

          protected java.lang.Class<?> loadClass​(java.lang.String name,
                                                 boolean resolve)
                                          throws java.lang.ClassNotFoundException

      Overrides:
        `loadClass` in class `java.lang.ClassLoader`
      Throws:
        `java.lang.ClassNotFoundException`

    - #### main

          public static void main​(java.lang.String[] args)
                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### load

          public static java.lang.Class<?> load​(java.lang.String className)